Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Interface TransformerHandler

All Superinterfaces:
  ContentHandler, DTDHandler, LexicalHandler

    public interface TransformerHandler

extends ContentHandler, LexicalHandler, DTDHandler

A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.

Method Summary
`String` | `getSystemId()` Get the base ID (URI or system ID) from where relative URLs will be resolved.
`Transformer` | `getTransformer()` Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.
`void` | `setResult(Result result)` Set the `Result` associated with this `TransformerHandler` to be used for the transformation.
`void` | `setSystemId(String systemID)` Set the base ID (URI or system ID) from where relative URLs will be resolved.

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Method Detail

### setResult

    void setResult(Result result)
                   throws IllegalArgumentException

  Set the `Result` associated with this `TransformerHandler` to be used for the transformation.

  Parameters:
    `result` - A `Result` instance, should not be `null`.
  Throws:
    `IllegalArgumentException` - if result is invalid for some reason.

### setSystemId

    void setSystemId(String systemID)

  Set the base ID (URI or system ID) from where relative URLs will be resolved.

  Parameters:
    `systemID` - Base URI for the source tree.

### getSystemId

    String getSystemId()

  Get the base ID (URI or system ID) from where relative URLs will be resolved.

  Returns:
    The systemID that was set with `setSystemId(java.lang.String)`.

### getTransformer

    Transformer getTransformer()

  Get the `Transformer` associated with this handler, which is needed in order to set parameters and output properties.

  Returns:
    `Transformer` associated with this `TransformerHandler`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.